Analyses
Retrieve the specified analysis.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200Success
application/json
idstringRequiredExample:
Id of this analysis
02c36247-1aad-41ba-aa49-f114ca4c263fcreatedAtstringRequiredExample:
ISO 8601
2023-07-26T15:03:48ZupdatedAtstringRequiredExample:
ISO 8601
2023-07-28T09:13:37Zstatusstring · enumRequiredPossible values:
The overall status of the underlying analysis pipeline
plotIdstringRequiredExample:
Id of the plot that this analysis belongs to and is performed on
02c36247-1aad-41ba-aa49-f114ca4c263fanalysedAtstringOptionalExample:
ISO 8601
2023-07-28T09:13:37ZversionstringOptionalExample:
The version of the analysis pipeline that was run
open-source-1.0.0deforestedAreanumberOptionalExample:
The deforested area in square meters
123.45deforestedGeometryone ofOptionalExample:
The deforested area as a GeoJSON Polygon
{"type":"Polygon","coordinates":[[[13,52.5],[13.5,52.5],[13.5,52],[13,52],[13,52.5]]]}or
riskOfDeforestationnumberOptionalExample:
The risk of deforestation in this area. 0.0 is no risk, 1.0 is certain deforestation.
0.3typestring · enumRequiredPossible values:
The type of analysis that was requested
customDataobjectOptionalExample:
Additional custom data. We don't use it for any calculations.
{"some":"metadata"}metadataobjectOptionalDeprecatedExample:
Additional metadata. We don't use it for any calculations. This field is deprecated and will be removed in the future. Please use customData instead.
{"some":"metadata"}namestringOptional
A human-friendly name for this analysis
401Error
403Error
404Error
get/analyses/{id}
GET /analyses/{id} HTTP/1.1
Host: api.tradeaware.live-eo.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "02c36247-1aad-41ba-aa49-f114ca4c263f",
"createdAt": "2023-07-26T15:03:48Z",
"updatedAt": "2023-07-28T09:13:37Z",
"status": "PENDING",
"plotId": "02c36247-1aad-41ba-aa49-f114ca4c263f",
"analysedAt": "2023-07-28T09:13:37Z",
"version": "open-source-1.0.0",
"deforestedArea": 123.45,
"deforestedGeometry": {
"type": "Polygon",
"coordinates": [
[
[
13,
52.5
],
[
13.5,
52.5
],
[
13.5,
52
],
[
13,
52
],
[
13,
52.5
]
]
]
},
"riskOfDeforestation": 0.3,
"type": "OS",
"customData": {
"some": "metadata"
},
"name": "text"
}Last updated